Limerence
Embed

Get Embed Space

Get Space data for embedding (public, validates origin)

GET
/embed/{spaceId}

Get Space data for embedding (public, validates origin)

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Path Parameters

spaceId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/embed/string"
{  "embed": {    "allowedOrigins": [      "string"    ],    "voiceEnabled": true  },  "space": {    "dataSources": [      {        "dataSource": {          "id": "string",          "name": "string",          "type": "SQLITE"        },        "createdAt": "string",        "dataSourceId": "string",        "grounding": "string",        "id": "string",        "spaceId": "string"      }    ],    "shortcuts": [      {        "createdAt": "string",        "description": null,        "disableModelInvocation": true,        "id": "string",        "integrations": "string",        "name": "string",        "prefix": "string",        "prompt": "string",        "sortOrder": 0,        "spaceId": "string",        "updatedAt": "string",        "userInvokable": true,        "visibility": "string"      }    ],    "createdAt": "string",    "description": null,    "id": "string",    "modelId": null,    "name": "string",    "providerId": null,    "teamId": "string",    "transcriptionModelId": null,    "updatedAt": "string"  }}
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "embed/not-configured",    "detail": "This Space has not been configured for embedding."  },  "message": "Embedding not configured"}
{  "cause": {    "code": "embed/space-not-found",    "detail": "The requested Space does not exist."  },  "message": "Space not found"}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}